#include <cc++/socket.h>
#include <cstdlib>
#include "smi.h"

using namespace ost;
using namespace std;


// // ===== main program // 
int main(int argc, char* argv[])
{
  SMI_Connect_to_server("10.1.13.3", 5432);

  int applicationID = SMI_Add_application(-1, 0);

  std::cout << applicationID << std::endl;

  int numMeshes;
  int *meshIDs;

  SMI_Get_all_mesh_ids(applicationID, &numMeshes, &meshIDs);

  std::cout << numMeshes << std::endl;
  for(int i = 0; i < numMeshes; i++) {
    std::cout << meshIDs[i] << " ";
  }
  std::cout << std::endl;


  SMI_Begin_read_transaction(applicationID, 1);
  
//   int dim;
//   SMI_Get_dim_of_coords(applicationID, meshIDs[numMeshes-1], &dim);
//   std::cout << dim << std::endl;

//   SMI_End_read_transaction(applicationID, 1);

  SMI_Remove_application(applicationID);

  SMI_Disconnect();
}


